﻿/**
 * @file
 * @brief BinResHeader.hppの実装を記述する。
 * @author akino
 */
#include "BinResHeader.hpp"

//------------------------------------------------------------
#include <XBase/RuntimeAssert.hpp>
#include <XG3D/Engine.hpp>

//------------------------------------------------------------
namespace XG3D {
//------------------------------------------------------------
bool BinResHeader::isValid( const BinResType aTargetType )const
{
    if ( versionMajor != VersionMajor
        || VersionMinor < versionMinor
        || targetEngine != XG3D_TARGET_ENGINE
        || resourceType != aTargetType
        )
    {
        return false;
    }
    return true;
}

//------------------------------------------------------------
bool BinResHeader::checkInvalid( const BinResType aTargetType )const
{
    if ( !isValid( aTargetType ) )
    {
        XBASE_NOT_REACH_ASSERT();
        return true;
    }
    return false;
}

//------------------------------------------------------------
}
//------------------------------------------------------------
// EOF
