﻿/**
 * @file
 * @brief BinResHeader型を記述する。
 * @author akino
 */
#if defined(XG3D_INCLUDED_BINRESHEADER_HPP)
#else
#define XG3D_INCLUDED_BINRESHEADER_HPP

//------------------------------------------------------------
#include <XG3D/BuiltInTypes.hpp>
#include "BinResType.hpp"

//------------------------------------------------------------
namespace XG3D {
    /// バイナリデータ：ヘッダ。
    struct BinResHeader
    {
        static const u8 VersionMajor = 0;
        static const u8 VersionMinor = 0;

        u8 versionMajor;
        u8 versionMinor;
        u8 targetEngine;
        u8 resourceType;

        bool isValid( BinResType aTargetType )const;
        bool checkInvalid( BinResType aTargetType )const; // Invalidならエラー処理をしてtrueを返す。
    };
}
//------------------------------------------------------------
#endif
// EOF
