﻿/**
 * @file
 * @brief TexSetting型を記述する。
 * @author akino
 */
#if defined(XG3D_INCLUDED_TEXSETTING_HPP)
#else
#define XG3D_INCLUDED_TEXSETTING_HPP

//------------------------------------------------------------
#include <XG3D/Engine.hpp>

#if defined(XG3D_ENGINE_GLSERIES)
    #include <XG3D/TexSetting_GL.hpp>
#endif
//------------------------------------------------------------
namespace XG3D {
/// @addtogroup XG3D-Util
//@{
    /// テクスチャの設定。
    class TexSetting
    {
    public:
        /// @name コンストラクタとデストラクタ
        //@{
        /// デフォルトの設定で作成。
        TexSetting();
        //@}

        /// @name 設定
        //@{
        /**
         * @brief アクティブ状態の取得。
         * @details
         * 初期値は非アクティブです。@n
         * 非アクティブ状態だとテクスチャ処理されません。
         */
        bool isActive()const;
        void setIsActive( bool aIsActive );  ///< @brief アクティブ状態の設定。 @see isActive()        
        //@}

        // 内部実装用関数群。
        const TexSetting_EXT& ext_()const;
        TexSetting_EXT& ext_();

    private:
        TexSetting_EXT mEXT;
        bool mIsActive;
    };
//@}
}
//------------------------------------------------------------
#endif
// EOF
